Bug 206902 - net-mgmt/routers2: Update to 2.23
Summary: net-mgmt/routers2: Update to 2.23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: http://www.steveshipway.org/software/...
Keywords: patch-ready
Depends on: 207716
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 23:25 UTC by Dan Lukes
Modified: 2016-03-21 20:41 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback+


Attachments
Replacement of patch file in files/ directory suitable for 2.23 version of port. (4.44 KB, patch)
2016-02-03 23:25 UTC, Dan Lukes
no flags Details | Diff
Complete 2.19_5 -> 2.23 diff (5.12 KB, patch)
2016-02-05 07:59 UTC, Dan Lukes
rakuco: maintainer-approval? (kiwi)
Details | Diff
patch (7.96 KB, patch)
2016-03-05 06:02 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Lukes 2016-02-03 23:25:19 UTC
Created attachment 166527 [details]
Replacement of patch file in files/ directory suitable for 2.23 version of port.

Change PORTVERSION to 2.23 and run 'make makesum'
Replace the files/patch-routers2.conf with the attached one.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-04 07:21:16 UTC
Thank you for your submission Dan

Could you provide a single unified diff against the port head (current version of the port), that includes the PORTVERSION, distinfo and patch changes please?
Comment 2 Dan Lukes 2016-02-05 07:59:00 UTC
Created attachment 166607 [details]
Complete 2.19_5 -> 2.23 diff

Complete 2.19_5 -> 2.23 diff 
It include diff of diff file in files/ directory
Comment 3 Raphael Kubo da Costa freebsd_committer 2016-02-28 21:22:56 UTC
To confirm: do the other router2 ports still work fine without being updated?
Comment 4 Dan Lukes 2016-02-28 21:32:42 UTC
So sorry, I don't know. I'm not using them.
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-02-28 21:42:17 UTC
Ask for maintainer's feedback.
Comment 6 Kurt Jaeger freebsd_committer 2016-03-05 05:43:56 UTC
(In reply to Raphael Kubo da Costa from comment #3)

The other two need their distfiles updated. But: -extras fails to fetch some files and -extensions has one small patch breakage.
Comment 7 Kurt Jaeger freebsd_committer 2016-03-05 05:55:24 UTC
PR 207716 fixes MASTER_SITE for depend
Comment 8 Kurt Jaeger freebsd_committer 2016-03-05 06:02:51 UTC
Created attachment 167733 [details]
patch

Fixes net-mgmt/routers2-extensions
Comment 9 kiwi 2016-03-14 12:56:57 UTC
Hi !

Agreed with such patches and updates.

Regards
Comment 10 commit-hook freebsd_committer 2016-03-21 20:41:21 UTC
A commit references this bug:

Author: pi
Date: Mon Mar 21 20:41:06 UTC 2016
New revision: 411617
URL: https://svnweb.freebsd.org/changeset/ports/411617

Log:
  net-mgmt/routers2: 2.19 -> 2.23, also for -extras and -extensions

  - Approx. 200 lines of changelog in approx. 5 years

  PR:		206902
  Submitted by:	Dan Lukes <dan@obluda.cz>
  Approved by:	kiwi@oav.net (maintainer)

Changes:
  head/net-mgmt/routers2/Makefile
  head/net-mgmt/routers2/distinfo
  head/net-mgmt/routers2/files/patch-routers2.conf
  head/net-mgmt/routers2-extensions/Makefile
  head/net-mgmt/routers2-extensions/distinfo
  head/net-mgmt/routers2-extensions/files/patch-ifrouter.cgi
  head/net-mgmt/routers2-extensions/files/patch-ifstatus.cgi
  head/net-mgmt/routers2-extensions/files/patch-ifswitch.cgi
  head/net-mgmt/routers2-extensions/files/patch-pdfreport.cgi
  head/net-mgmt/routers2-extensions/files/patch-routingtable.cgi
  head/net-mgmt/routers2-extensions/files/patch-showcfg.cgi
  head/net-mgmt/routers2-extensions/files/patch-tonagios.cgi
  head/net-mgmt/routers2-extensions/files/patch-trend.cgi
  head/net-mgmt/routers2-extras/Makefile
  head/net-mgmt/routers2-extras/distinfo
Comment 11 Kurt Jaeger freebsd_committer 2016-03-21 20:41:55 UTC
Committed, thanks!